Bug 93881 - Upgraded Port: mail/dcc-dccd to 1.3.29
Summary: Upgraded Port: mail/dcc-dccd to 1.3.29
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Emanuel Haupt
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2006-02-27 02:10 UTC by Dean Hollister
Modified: 2006-03-03 09:09 UTC (History)
0 users

See Also:


Attachments
file.diff (4.15 KB, patch)
2006-02-27 02:10 UTC, Dean Hollister
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Dean Hollister 2006-02-27 02:10:03 UTC
Upgraded Port: mail/dcc-dccd to 1.3.29.
Deinstallation of config files problem is fixed in this upgrade. Config files will now install with 
.dist extensions.

This PR is to replace PR 93415.
Comment 1 Emanuel Haupt freebsd_committer 2006-02-27 08:32:45 UTC
Responsible Changed
From-To: freebsd-ports-bugs->ehaupt

Take.
Comment 2 Emanuel Haupt freebsd_committer 2006-02-28 16:08:57 UTC
State Changed
From-To: open->feedback

Patch does not apply. Later sent patch (mail) fails to build. Maintainer will 
send a new patch.
Comment 3 Emanuel Haupt freebsd_committer 2006-03-02 20:05:34 UTC
I suggest the following patch:

--- dcc-dccd.patch begins here ---
Index: Makefile
===================================================================
RCS file: /home/pcvs/ports/mail/dcc-dccd/Makefile,v
retrieving revision 1.21
diff -u -r1.21 Makefile
--- Makefile	25 Feb 2006 20:50:07 -0000	1.21
+++ Makefile	2 Mar 2006 20:02:09 -0000
@@ -2,11 +2,11 @@
 # Date created:		Wed Oct 9 19:30:00 WST 2002
 # Whom:			Dean Hollister <dean@odyssey.apana.org.au>
 #
-# $FreeBSD: ports/mail/dcc-dccd/Makefile,v 1.21 2006/02/25 20:50:07 kris Exp $
+# $FreeBSD$
 #
 
 PORTNAME=	dcc-dccd
-PORTVERSION=	1.3.27
+PORTVERSION=	1.3.29
 CATEGORIES=	mail
 MASTER_SITES=	http://www.rhyolite.com/anti-spam/dcc/source/ \
 		http://www.wa.apana.org.au/~dean/sources/ \
@@ -16,9 +16,6 @@
 MAINTAINER=	dean@odyssey.apana.org.au
 COMMENT=	Distributed Checksum Clearinghouse procmail, sendmail support
 
-BROKEN=		Unfetchable
-
-USE_REINPLACE=	yes
 HAS_CONFIGURE=	yes
 MANCOMPRESSED=	yes
 MAN8=		cdcc.8 dbclean.8 dblist.8 dcc.8 dccd.8 dccifd.8 dccm.8 \
@@ -54,7 +51,7 @@
 WITH_SENDMAIL=	yes
 .else
 .if !defined(WITHOUT_SENDMAIL)
-BROKEN=		"Base system sendmail not found or too old, rebuild with WITH_SENDMAIL_PORT=yes or WITHOUT_SENDMAIL=yes"
+IGNORE=		base system sendmail not found or too old, rebuild with WITH_SENDMAIL_PORT=yes or WITHOUT_SENDMAIL=yes
 .endif
 .endif
 .else
@@ -110,4 +107,10 @@
 	@${SETENV} PKG_PREFIX=${PREFIX} \
 	${SH} ${PKGINSTALL} ${PREFIX} PRE-INSTALL
 
+post-install:
+.if !exists(${PREFIX}/dcc/map)
+	${CP} ${PREFIX}/dcc/map ${PREFIX}/dcc/map.dist
+	@${CHOWN} ${DCCUSER} ${PREFIX}/dcc/map.dist
+.endif
+
 .include <bsd.port.post.mk>
Index: distinfo
===================================================================
RCS file: /home/pcvs/ports/mail/dcc-dccd/distinfo,v
retrieving revision 1.16
diff -u -r1.16 distinfo
--- distinfo	11 Feb 2006 14:43:04 -0000	1.16
+++ distinfo	2 Mar 2006 20:02:09 -0000
@@ -1,3 +1,3 @@
-MD5 (dcc-dccd-1.3.27.tar.Z) = 1aa43c1ec6841b86bae50208b3ffdf03
-SHA256 (dcc-dccd-1.3.27.tar.Z) = 28d189c1602fbe369f3133946cc827d38bae0b00e281f55401c3adceeb408a29
-SIZE (dcc-dccd-1.3.27.tar.Z) = 1400407
+MD5 (dcc-dccd-1.3.29.tar.Z) = 5d52f9a6173a8755355c745f67a21856
+SHA256 (dcc-dccd-1.3.29.tar.Z) = bbaa3b864221a31ec3aebe72910578a6544d37248744e7e5373c35681ea141d9
+SIZE (dcc-dccd-1.3.29.tar.Z) = 1399517
Index: pkg-plist
===================================================================
RCS file: /home/pcvs/ports/mail/dcc-dccd/pkg-plist,v
retrieving revision 1.9
diff -u -r1.9 pkg-plist
--- pkg-plist	17 Sep 2005 20:12:27 -0000	1.9
+++ pkg-plist	2 Mar 2006 20:02:09 -0000
@@ -1,3 +1,33 @@
+@unexec if cmp -s %D/dcc/dcc_conf %D/dcc/dcc_conf.dist; then rm -f %D/dcc/dcc_conf; fi
+dcc/dcc_conf.dist
+@exec [ -f %B/dcc_conf ] || cp %B/%f %B/dcc_conf
+@unexec if cmp -s %D/dcc/flod %D/dcc/flod.dist; then rm -f %D/dcc/flod; fi
+dcc/flod.dist
+@exec [ -f %B/flod ] || cp %B/%f %B/flod
+@unexec if cmp -s %D/dcc/grey_flod %D/dcc/grey_flod.dist; then rm -f %D/dcc/grey_flod; fi
+dcc/grey_flod.dist
+@exec [ -f %B/grey_flod ] || cp %B/%f %B/grey_flod
+@unexec if cmp -s %D/dcc/grey_whitelist %D/dcc/grey_whitelist.dist; then rm -f %D/dcc/grey_whitelist; fi
+dcc/grey_whitelist.dist
+@exec [ -f %B/grey_whitelist ] || cp %B/%f %B/grey_whitelist
+@unexec if cmp -s %D/dcc/ids %D/dcc/ids.dist; then rm -f %D/dcc/ids; fi
+dcc/ids.dist
+@exec [ -f %B/ids ] || cp %B/%f %B/ids
+@unexec if cmp -s %D/dcc/map %D/dcc/map.dist; then rm -f %D/dcc/map; fi
+dcc/map.dist
+@exec [ -f %B/map ] || cp %B/%f %B/map
+@unexec if cmp -s %D/dcc/map.txt %D/dcc/map.txt.dist; then rm -f %D/dcc/map.txt; fi
+dcc/map.txt.dist
+@exec [ -f %B/map.txt ] || cp %B/%f %B/map.txt
+@unexec if cmp -s %D/dcc/whiteclnt %D/dcc/whiteclnt.dist; then rm -f %D/dcc/whiteclnt; fi
+dcc/whiteclnt.dist
+@exec [ -f %B/whiteclnt ] || cp %B/%f %B/whiteclnt
+@unexec if cmp -s %D/dcc/whitecommon %D/dcc/whitecommon.dist; then rm -f %D/dcc/whitecommon; fi
+dcc/whitecommon.dist
+@exec [ -f %B/whitecommon ] || cp %B/%f %B/whitecommon
+@unexec if cmp -s %D/dcc/whitelist %D/dcc/whitelist.dist; then rm -f %D/dcc/whitelist; fi
+dcc/whitelist.dist
+@exec [ -f %B/whitelist ] || cp %B/%f %B/whitelist
 bin/cdcc
 bin/dccif-test
 bin/dccproc
@@ -9,12 +39,6 @@
 dcc/cgi-bin/list-log
 dcc/cgi-bin/list-msg
 dcc/cgi-bin/webuser-notify
-@unexec if cmp -s %D/dcc/dcc_conf %D/dcc/dcc_conf.dist; then rm -f %D/dcc/dcc_conf; fi
-dcc/dcc_conf.dist
-dcc/flod
-dcc/grey_flod
-dcc/grey_whitelist
-dcc/ids
 dcc/libexec/cron-dccd
 %%WITH_DCCIFD%%dcc/libexec/dccifd
 %%WITH_SENDMAIL%%dcc/libexec/dccm
@@ -40,12 +64,7 @@
 dcc/libexec/stop-dccd
 dcc/libexec/updatedcc
 dcc/libexec/wlist
-dcc/map
-dcc/map.txt
-dcc/whiteclnt
-dcc/whitecommon
-dcc/whitelist
 @dirrm dcc/log
 @dirrm dcc/libexec
 @dirrm dcc/cgi-bin
-@dirrm dcc
+@dirrmtry dcc
Index: files/patch-homedir::Makefile.in
===================================================================
RCS file: /home/pcvs/ports/mail/dcc-dccd/files/patch-homedir::Makefile.in,v
retrieving revision 1.4
diff -u -r1.4 patch-homedir::Makefile.in
--- files/patch-homedir::Makefile.in	17 Sep 2005 20:12:28 -0000	1.4
+++ files/patch-homedir::Makefile.in	2 Mar 2006 20:02:09 -0000
@@ -1,6 +1,6 @@
---- homedir/Makefile.in.orig	Tue Aug  2 18:04:26 2005
-+++ homedir/Makefile.in	Sat Sep 17 13:42:56 2005
-@@ -45,11 +45,7 @@
+--- homedir/Makefile.in.orig	Thu Sep  8 09:57:07 2005
++++ homedir/Makefile.in	Wed Mar  1 07:39:11 2006
+@@ -51,15 +51,11 @@
  	  $(HINSTALL) -m 755 -d $(INST_HOMEDIR); fi
  	if test ! -d $(INST_HOMEDIR)/log; then \
  	  $(HINSTALL) -m 710 -d $(INST_HOMEDIR)/log; fi
@@ -13,3 +13,25 @@
  	for nm in flod grey_flod whitelist grey_whitelist \
  		whiteclnt whitecommon; do \
  	  if test ! -f $(INST_HOMEDIR)/$$nm; then \
+-		$(HINSTALL) -m 644 $$nm $(INST_HOMEDIR)/$$nm; fi; \
++		$(HINSTALL) -m 644 $$nm $(INST_HOMEDIR)/$$nm.dist; fi; \
+ 	  done
+ 	@if test ! -f $(INST_HOMEDIR)/ids \
+ 		 -a ! -f $(INST_HOMEDIR)/map \
+@@ -67,11 +63,11 @@
+ 	  PASSWD1=`ps|cksum|tr ' 	' 'xy'`; \
+ 	  PASSWD2=`ps|cksum|tr ' 	' 'yx'`; \
+ 	  umask 077; \
+-	  sed -e "s/secret1/$$PASSWD1/" map.txt >$(INST_HOMEDIR)/map.txt; \
++	  sed -e "s/secret1/$$PASSWD1/" map.txt >$(INST_HOMEDIR)/map.txt.dist; \
+ 	  sed -e "s/secret1/$$PASSWD1/" -e "s/secret2/$$PASSWD2/" ids \
+-		>$(INST_HOMEDIR)/ids; \
++		>$(INST_HOMEDIR)/ids.dist; \
+ 	  ${DEPTH}/cdcc/cdcc -qh $(INST_HOMEDIR) 'new map; load -' \
+-		<$(INST_HOMEDIR)/map.txt >/dev/null; \
+-	  set +e; chown $(DCC_SUID) $(INST_HOMEDIR)/map.txt \
+-			$(INST_HOMEDIR)/map $(INST_HOMEDIR)/ids; \
++		<$(INST_HOMEDIR)/map.txt.dist >/dev/null; \
++	  set +e; chown $(DCC_SUID) $(INST_HOMEDIR)/map.txt.dist \
++			$(INST_HOMEDIR)/map $(INST_HOMEDIR)/ids.dist; \
+ 	fi
--- dcc-dccd.patch ends here ---

Also available at:
http://people.freebsd.org/~ehaupt/patches/dcc-dccd.patch
Comment 4 Dean Hollister 2006-03-02 22:51:49 UTC
At 04:05 03/03/2006, Emanuel Haupt wrote:
>I suggest the following patch:

Yup, I'm happy with that. :-)

Regards,

d.
Comment 5 Emanuel Haupt freebsd_committer 2006-03-03 08:47:20 UTC
State Changed
From-To: feedback->open

Feedback received.
Comment 6 Emanuel Haupt freebsd_committer 2006-03-03 09:09:39 UTC
State Changed
From-To: open->closed

Committed, thanks!